import type { FloatTerm } from "@thi.ng/shader-ast";
/**
 * @param d1 - float
 * @param d2 - float
 * @param k - float
 */
export declare const sdfSmoothUnion: import("@thi.ng/shader-ast").TaggedFn3<"float", "float", "float", "float">;
/**
 * Variadic compiletime macro for {@link sdfSmoothUnion}. Takes smooth factor
 * `k`, followed by any number (at least 1 required) of SDF terms.
 *
 * @param k
 * @param terms
 */
export declare const sdfSmoothUnionAll: (k: FloatTerm, ...terms: FloatTerm[]) => FloatTerm;
//# sourceMappingURL=smooth-union.d.ts.map